JNA API 3.3.0

## com.sun.jna.platform.win32
Class Ole32Util

    java.lang.Object
      com.sun.jna.platform.win32.Ole32Util

    public abstract class Ole32Util

extends Object

Ole32 Utility API.

Author:
  dblock[at]dblock.org

Constructor Summary
`Ole32Util()`

Method Summary
`static Guid.GUID` | `generateGUID()` Generate a new GUID.
`static Guid.GUID` | `getGUIDFromString(String guidString)` Convert a string to a GUID.
`static String` | `getStringFromGUID(Guid.GUID guid)` Convert a GUID into a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ole32Util

    public Ole32Util()

Method Detail

### getGUIDFromString

    public static Guid.GUID getGUIDFromString(String guidString)

  Convert a string to a GUID.

  Parameters:
    `guidString` - String representation of a GUID, including { }.
  Returns:
    A GUID.

### getStringFromGUID

    public static String getStringFromGUID(Guid.GUID guid)

  Convert a GUID into a string.

  Parameters:
    `guid` - GUID.
  Returns:
    String representation of a GUID.

### generateGUID

    public static Guid.GUID generateGUID()

  Generate a new GUID.

  Returns:
    New GUID.

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.